Brasero hangs at "Get Size" process on 64bit Ubuntu 9.1

Bug #482991 reported by Eddy on 2009-11-15
114
This bug affects 24 people
Affects Status Importance Assigned to Milestone
brasero (Ubuntu)
Medium
Ubuntu Desktop Bugs

Bug Description

Binary package hint: brasero

I am using the program to create a data DVD. After putting all the files for the burning and click the button to start the process, the programs pops up dialog showing that it's calculating size (I don't know what it's doing). And it just stays there forever.

ProblemType: Bug
Architecture: amd64
CheckboxSubmission: 158d54d3d6c182200fa4ad941c992d19
CheckboxSystem: e704f33cc0866ff0f0256a33de39ea1c
Date: Sun Nov 15 01:23:32 2009
DistroRelease: Ubuntu 9.10
ExecutablePath: /usr/bin/brasero
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
NonfreeKernelModules: nvidia
Package: brasero 2.28.2-0ubuntu1
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
SourcePackage: brasero
Uname: Linux 2.6.31-14-generic x86_64

Eddy (tsukit) wrote :
John Costella (jpcostella) wrote :

I'm getting the same problem. Brasero works fine when I import an existing multisession disc, but when I try to create a new disc, it hangs on that dialog box as described above.

John Costella (jpcostella) wrote :

CORRECTION: Brasero worked fine from the day that Karmic was released until yesterday (2009-11-16, Melbourne time); today it is failing with the above bug on ALL burns. I do a daily update through the Update Manager.

(Previous to Karmic I used k3b because I couldn't figure out how to get Brasero to do multisession and leave the disc open. I'm only using Brasero now because k3b seems to have been broken when I upgraded to Karmic, and I discovered that the multisession works [worked] well.)

451F (max451f) wrote :

Brasero loops on "get size" progressbar. Ubuntu 9.10, 32 bit version

Pedro Villavicencio (pedro) wrote :

Please try to obtain a backtrace of the hang following the instructions at http://wiki.ubuntu.com/DebuggingProgramCrash and upload the backtrace (as an attachment) to the bug report. This will greatly help us in tracking down your problem.

Changed in brasero (Ubuntu):
assignee: nobody → Ubuntu Desktop Bugs (desktop-bugs)
importance: Undecided → Medium
status: New → Incomplete
Download full text (3.4 KiB)

Hi All,

I prepared for generating backtrace in a manner written down here.
http://wiki.ubuntu.com/DebuggingProgramCrash
However I couldn't start
/usr/lib/debug/usr/bin/brasero
neither in bash
 lev@red:~/04$ /usr/lib/debug/usr/bin/brasero
 bash: /usr/lib/debug/usr/bin/brasero: cannot execute binary file
nor in gdb

lev@red:~/04$ gdb /usr/lib/debug/usr/bin/brasero 2>&1 | tee ~/gdb-brasero.txt
GNU gdb (GDB) 7.0-ubuntu
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/lib/debug/usr/bin/brasero...done.
(gdb) set pagination 0
(gdb) handle SIG33 pass nostop noprint
Signal Stop Print Pass to program Description
SIG33 No No Yes Real-time event 33
(gdb) run
Starting program: /usr/lib/debug/usr/bin/brasero
/bin/bash: /usr/lib/debug/usr/bin/brasero: cannot execute binary file

so I started brasero manually and tried to test if bug still exists.
And it seems to be gone. However I don't know if there were any
software update since my reporting of this bug.
May be some of the libraries on which it relies seem to get a root of
this bug solved hiddenly.
Anyway.
I cannot report on this issue anymore.

Levente

ps: one more idea! At the time of the reporting. My machine was pretty
full of data could it be that brasero cannot
generate some auxiliary file and to check the size accordingly?

On Wed, Dec 2, 2009 at 3:28 PM, Pedro Villavicencio <email address hidden> wrote:
> Please try to obtain a backtrace of the hang following the instructions
> at http://wiki.ubuntu.com/DebuggingProgramCrash and upload the backtrace
> (as an attachment) to the bug report. This will greatly help us in
> tracking down your problem.
>
> ** Changed in: brasero (Ubuntu)
>   Importance: Undecided => Medium
>
> ** Changed in: brasero (Ubuntu)
>       Status: New => Incomplete
>
> ** Changed in: brasero (Ubuntu)
>     Assignee: (unassigned) => Ubuntu Desktop Bugs (desktop-bugs)
>
> --
> Brasero hangs at "Get Size" process on 64bit Ubuntu 9.1
> https://bugs.launchpad.net/bugs/482991
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “brasero” package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: brasero
>
> I am using the program to create a data DVD. After putting all the files for the burning and click the button to start the process, the programs pops up dialog showing that it's calculating size (I don't know what it's doing). And it just stays there forever.
>
> ProblemType: Bug
> Architecture: amd64
> CheckboxSubmission: 158d54d3d6c182200fa4ad941c992d19
> CheckboxSystem: e704f33cc0866ff0f0256a33de39ea1c
> Date: Sun Nov 15 01:23:32 2009
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/bin/brasero
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
> NonfreeKernelModules...

Read more...

Matjaz Smolej (matjaz-smolej) wrote :

I had the same problem, caused by some other bug related to removing previous disk from the physical device: the disk icon remained on my Gnome desktop even after physically removing the disk. After insersting a blank disk, another disk icon appeard on my desktop resulting in two disk icons on the desktop. I was able to unmount the old disk using the context menu on the old disk's icon and after that Brasero worked fine with the new empty disc.

Same problem, but on 32 bit. Also saw the bug mentioned by Matjaz above, and believe I am experiencing https://bugs.launchpad.net/ubuntu/+source/brasero/+bug/374101 regarding normalization (will work on that too). Have had Karmic on here for about a month, but hadn't tried to burn anything til now.

RP (darpified) wrote :

This occurs after I try to create multiple dvds in succession. It seems to not happen after two, but the third attempt does hang at getting size.

Immediately after I unmount the old disc from the desktop as described in #7, it starts writing the new dvd.

chmacka (chmacka) wrote :

I had this problem. Couldn't burn anything, didn't matter if it was blank DVD/CD or Multisession DVD/CD I was trying to burn.

I also had some problems with K3b so I installed suggested packages for K3b. I also disabled all the Brasero plugins. I don't know which of these two actions helped, but now I can use Brasero for burning and it works perfectly.

This is what I installed (suggested packages for K3B):

sudo apt-get install sox movixmaker-2 vcdimager dvd+rw-tools kdebase-runtime transcode

Kevan (kevaan) wrote :

Same problem, but it seems to be sporadic. I've successfully burned two DVDs, with the problem interspersed. The first time, I solved it by rebooting X11.
Karmic 64-bit
Brasero 2.28.2

Also, it doesn't truly hang, it just doesn't do anything past "Getting Size.. I can click cancel, but I just left it running for 4 hours, on a DVD that should have taken 35 min. max to burn. Because it doesn't crash, I don't think I can log it. What else can I do?

Here are the options I've tried changing, one at a time:
Burn the image directly, Use Burnproof, Simulate Before Burning. Haven't touched any other setting.

Kevan (kevaan) wrote :

Fixed it, at least temporarily. Not sure how. Had been working off a saved project, but deleted the project, and then eliminated any brasero temp files or folders from the home directory, started again with the exact same files. Did NOT reboot. Only other thing that was different was that I had changed the file options to NOT filter hidden files, but the problem had replicated itself again after I had made that change, so it seems as though the temp files were the solution, but not sure why/how.

Kevan (kevaan) wrote :

Come to think of it. I may have unmounted the old image, as previously mentioned (#7) as well. Wish I had taken note of that. Sorry for spamming.

Gus (gus-lgze) wrote :

WORK AROUND same as #7.

I just ran into this. I had removed a cd by pressing the eject button on the drive. The ejected cd's icon remained on the desktop.

I put my blank cd in. dragged in a few files, hit burn and got stuck on size.

I clicked cancel on the requester (getting size) and then used the right click menu on the desktop to unmount the previously ejected cd.

I then clicked burn again.

Worked.

Seems the bug would really be pressing the eject button on the drive does not unmount the cd from the filesystem.

Alex Peters (alex-peters) wrote :

I can confirm that the described behaviour was addressed by unmounting a previously inserted disc as per Comment #7.

Brasero should still complain though, rather than hanging indefinitely.

svaens (svaens) wrote :

I have this problem on Ubuntu Karmic, for 32 bit machine.

However, I can also confirm that I can work-around this problem by unmounting the previously inserted disk (as per comment #7). I would say it is a bug that Brasero does;

a) hang
b) not alert the user to the mount issue

And also, probably it is a bug in ubuntu (which component, I could not say) that I can have ejected a disk, and Ubuntu does not realise it is unmounted ??

If i can provide any other help in getting this issue listed as 'new' or 'confirmed' , please ask, and I will provide.

David Tombs (dgtombs) wrote :

For reference, the still-mounted bug that triggers this is bug 476654.

pfrenssen (pieter-frenssen) wrote :

#7 fixed it for me

This still occurs on Ubuntu 10.10 for me. I tried disabling all the plugins and it didn't fix it.

paolode (paolo-debortoli) wrote :

hi. i am using ubuntu 12.04 on hp pavilion laptop with this optical unit:: scsi 3:0:0:0: CD-ROM Optiarc DVD RW AD-7581A BH05 PQ: 0 ANSI: 5 cdrom: Uniform CD-ROM driver Revision: 3.20 sr 3:0:0:0: Attached scsi CD-ROM sr0. brasero manages very well cds, but doesn't burn correctly dvds (it is like it enters in an infinite cycle; stopping it, it gives error messages, cannot closing disk or eject it) and doesn't recognize double face dvds (recognized as single face). I installed k3b and everything worked well.

Ville Ranki (ville-ranki) wrote :

This still happens with Quantal. I checked with debugger and brasero is polling so it's not a crash.

David Tombs (dgtombs) wrote :

Ville, if you attached with a debugger, can you please post the stack trace here? Thanks.

---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers